#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=salleri2.41_base.ps
projection=-JM16.0c+
region=-R86.2/88.0/26.6/28.1
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map salleri2.41' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/g10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    27.363    87.885
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    27.754    87.416
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    27.000    86.725
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    26.680    86.681
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    26.765    86.591
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    27.461    87.356
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    27.415    86.800
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    27.523    87.291
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    27.511    87.264
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    27.537    87.289
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    27.791    86.975
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    27.798    86.994
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    26.910    87.779
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    27.035    86.629
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    27.553    86.637
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    27.711    86.736
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    27.492    87.316
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    27.578    86.581
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    27.620    87.380
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    27.270    86.460
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    27.143    86.927
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    27.474    87.353
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    27.985    87.218
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    27.401    86.953
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    28.026    87.301
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    26.935    87.307
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    27.763    86.499
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    27.361    87.015
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    27.788    86.312
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    27.736    86.357
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    27.419    87.131
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    27.723    86.334
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    27.749    86.534
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.359    87.877
    27.363    87.885
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.327    87.657
    27.363    87.885
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.751    87.426
    27.754    87.416
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.655    87.526
    27.754    87.416
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.002    86.722
    27.000    86.725
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.017    86.721
    27.000    86.725
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.684    86.683
    26.680    86.681
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.720    86.626
    26.680    86.681
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.759    86.584
    26.765    86.591
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.767    86.443
    26.765    86.591
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.459    87.355
    27.461    87.356
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.326    87.266
    27.461    87.356
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.407    86.796
    27.415    86.800
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.495    86.769
    27.415    86.800
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.521    87.287
    27.523    87.291
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.560    87.308
    27.523    87.291
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.511    87.260
    27.511    87.264
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.515    87.371
    27.511    87.264
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.538    87.284
    27.537    87.289
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.499    87.267
    27.537    87.289
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.793    86.972
    27.791    86.975
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.863    86.950
    27.791    86.975
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.798    86.989
    27.798    86.994
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.928    87.088
    27.798    86.994
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.907    87.785
    26.910    87.779
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.787    87.686
    26.910    87.779
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.035    86.630
    27.035    86.629
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.010    86.599
    27.035    86.629
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.552    86.638
    27.553    86.637
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.520    86.642
    27.553    86.637
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.711    86.736
    27.711    86.736
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.423    86.415
    27.711    86.736
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.490    87.316
    27.492    87.316
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.490    87.326
    27.492    87.316
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.576    86.582
    27.578    86.581
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.550    86.589
    27.578    86.581
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.621    87.377
    27.620    87.380
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.568    87.385
    27.620    87.380
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.274    86.459
    27.270    86.460
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.289    86.397
    27.270    86.460
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.146    86.924
    27.143    86.927
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.132    86.899
    27.143    86.927
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.475    87.357
    27.474    87.353
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.487    87.308
    27.474    87.353
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.984    87.216
    27.985    87.218
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.865    87.215
    27.985    87.218
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.404    86.950
    27.401    86.953
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.364    86.944
    27.401    86.953
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    28.021    87.302
    28.026    87.301
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.895    87.307
    28.026    87.301
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    26.936    87.309
    26.935    87.307
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    26.918    87.288
    26.935    87.307
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.765    86.498
    27.763    86.499
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.635    86.422
    27.763    86.499
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.364    87.015
    27.361    87.015
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.337    87.033
    27.361    87.015
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.786    86.313
    27.788    86.312
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.710    86.382
    27.788    86.312
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.734    86.358
    27.736    86.357
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.772    86.339
    27.736    86.357
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.422    87.130
    27.419    87.131
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.471    87.140
    27.419    87.131
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.723    86.331
    27.723    86.334
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.744    86.339
    27.723    86.334
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    27.751    86.531
    27.749    86.534
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    27.766    86.523
    27.749    86.534
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    27.363    87.885    39.031     2.877     6.410
    27.754    87.416    12.363     4.382     7.630
    27.000    86.725   -71.662     1.489     2.713
    26.680    86.681   -68.208     1.930     3.121
    26.765    86.591     3.708     2.136     2.932
    27.461    87.356   -80.123     3.647     7.112
    27.415    86.800   -84.934     2.981     5.760
    27.523    87.291   -86.274     1.977     2.814
    27.511    87.264    -0.985     4.540     6.924
    27.537    87.289   -78.441     2.042     2.608
    27.791    86.975    89.077     1.386     2.334
    27.798    86.994   -86.334     3.160     4.821
    26.910    87.779   -75.269     1.809     2.310
    27.035    86.629    41.660     1.898     2.346
    27.553    86.637   -72.319     2.120     2.556
    27.711    86.736    82.614     1.927     2.782
    27.492    87.316   -88.909     1.445     2.575
    27.578    86.581    77.221     1.794     3.577
    27.620    87.380   -89.274     1.969     3.544
    27.270    86.460   -78.220     1.463     2.753
    27.143    86.927   -79.719     3.027     6.159
    27.474    87.353    34.925     2.638     3.542
    27.985    87.218   -71.157     2.127     3.147
    27.401    86.953    68.525     1.610     2.263
    28.026    87.301    67.306     3.367     8.091
    26.935    87.307    87.027     1.872     4.387
    27.763    86.499   -81.961     1.055     1.901
    27.361    87.015   -73.040     1.455     3.585
    27.788    86.312    86.435     1.782     3.259
    27.736    86.357    88.419     1.581     4.103
    27.419    87.131    85.455     1.476     2.215
    27.723    86.334   -75.330     1.295     2.070
    27.749    86.534    88.001     0.938     1.376
END
# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    27.791    86.975     0.200
END

# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    26.634    86.273     6.870     1.573     2.011
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    26.634    86.295   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    26.634    86.273     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    26.634    86.273     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    26.589    86.273   5 km
END
