#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=salleri2.41_dcal.ps
projection=-JM16.0c+
region=-R84.2/90.0/24.8/29.9
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration salleri2.41' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/ETOPO/ETOPO1_Bed_g_gmt4.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.833    87.167
    27.754    87.416
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.833    87.167
    27.523    87.291
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.833    87.167
    27.511    87.264
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.833    87.167
    27.537    87.289
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.660    86.190
    27.791    86.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.911    85.879
    27.791    86.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.860    87.390
    27.791    86.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.660    86.190
    27.798    86.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.911    85.879
    27.798    86.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.950    86.600
    27.798    86.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.860    87.390
    27.798    86.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.860    87.390
    26.910    87.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.350    87.710
    26.910    87.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.350    87.710
    26.910    87.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.700    88.417
    26.910    87.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.950    86.600
    26.910    87.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.333    88.617
    26.910    87.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.838    86.632
    27.035    86.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.304    86.548
    27.035    86.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.838    86.632
    27.035    86.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.515    86.584
    27.035    86.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.321    87.195
    27.035    86.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.304    86.548
    27.035    86.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.711    85.924
    27.035    86.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.634    86.230
    27.035    86.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.515    86.584
    27.035    86.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.150    87.765
    27.035    86.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.877    85.891
    27.035    86.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.321    87.195
    27.035    86.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.910    87.923
    27.035    86.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.634    86.230
    27.035    86.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.711    85.924
    27.035    86.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.150    87.765
    27.035    86.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.877    85.891
    27.035    86.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.910    87.923
    27.035    86.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.196    86.828
    27.035    86.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.515    86.584
    27.553    86.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.304    86.548
    27.553    86.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.515    86.584
    27.553    86.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.634    86.230
    27.553    86.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.304    86.548
    27.553    86.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.321    87.195
    27.553    86.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.634    86.230
    27.553    86.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.196    86.828
    27.553    86.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.838    86.632
    27.553    86.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.877    85.891
    27.553    86.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.711    85.924
    27.553    86.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.150    87.765
    27.553    86.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.196    86.828
    27.553    86.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.665    87.116
    27.553    86.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.877    85.891
    27.553    86.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.838    86.632
    27.553    86.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.711    85.924
    27.553    86.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.665    87.116
    27.553    86.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.515    86.584
    27.711    86.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.304    86.548
    27.711    86.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.634    86.230
    27.711    86.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.196    86.828
    27.711    86.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.515    86.584
    27.711    86.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.321    87.195
    27.711    86.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.877    85.891
    27.711    86.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.304    86.548
    27.711    86.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.706    85.761
    27.711    86.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.196    86.828
    27.711    86.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.211    85.909
    27.711    86.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.665    87.116
    27.711    86.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.321    87.195
    27.711    86.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.150    87.765
    27.711    86.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.571    85.409
    27.711    86.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.706    85.761
    27.711    86.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.211    85.909
    27.711    86.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.665    87.116
    27.711    86.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.150    87.765
    27.711    86.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.571    85.409
    27.711    86.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.321    87.195
    27.492    87.316
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.321    87.195
    27.492    87.316
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.048    87.324
    27.492    87.316
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.150    87.765
    27.492    87.316
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.515    86.584
    27.492    87.316
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.304    86.548
    27.492    87.316
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.048    87.324
    27.492    87.316
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.910    87.923
    27.492    87.316
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.910    87.923
    27.492    87.316
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.515    86.584
    27.578    86.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.304    86.548
    27.578    86.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.515    86.584
    27.578    86.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.321    87.195
    27.578    86.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.304    86.548
    27.578    86.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.877    85.891
    27.578    86.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.211    85.909
    27.578    86.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.048    87.324
    27.578    86.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.600    85.557
    27.578    86.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.321    87.195
    27.578    86.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.660    86.413
    27.578    86.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.150    87.765
    27.578    86.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.211    85.909
    27.578    86.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.150    87.765
    27.578    86.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.660    86.190
    27.270    86.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.660    86.190
    27.270    86.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.911    85.879
    27.270    86.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.911    85.879
    27.270    86.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.571    85.409
    27.270    86.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.571    85.409
    27.270    86.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.790    85.280
    27.270    86.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.790    85.280
    27.270    86.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.950    86.600
    27.143    86.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.860    87.390
    27.474    87.353
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.860    87.390
    27.474    87.353
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.950    86.600
    27.474    87.353
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.950    86.600
    27.474    87.353
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.350    87.710
    27.985    87.218
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.860    87.390
    27.985    87.218
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.950    86.600
    27.985    87.218
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.950    86.600
    27.401    86.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.950    86.600
    27.401    86.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.860    87.390
    27.401    86.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.860    87.390
    27.401    86.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.660    86.190
    28.026    87.301
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.860    87.390
    26.935    87.307
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.860    87.390
    26.935    87.307
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.350    87.710
    26.935    87.307
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.950    86.600
    26.935    87.307
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.950    86.600
    26.935    87.307
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.911    85.879
    27.763    86.499
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.911    85.879
    27.763    86.499
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.950    86.600
    27.763    86.499
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.571    85.409
    27.763    86.499
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.571    85.409
    27.763    86.499
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.577    85.396
    27.763    86.499
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.577    85.396
    27.763    86.499
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.790    85.280
    27.763    86.499
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.790    85.280
    27.763    86.499
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.860    87.390
    27.763    86.499
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.860    87.390
    27.763    86.499
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.350    87.710
    27.763    86.499
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.350    87.710
    27.763    86.499
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.950    86.600
    27.361    87.015
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.860    87.390
    27.361    87.015
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.860    87.390
    27.361    87.015
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.911    85.879
    27.361    87.015
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.911    85.879
    27.361    87.015
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.660    86.190
    27.788    86.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.660    86.190
    27.788    86.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.911    85.879
    27.788    86.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.911    85.879
    27.788    86.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.571    85.409
    27.788    86.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.577    85.396
    27.788    86.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.790    85.280
    27.788    86.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.609    85.106
    27.788    86.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.609    85.106
    27.788    86.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.911    85.879
    27.736    86.357
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.911    85.879
    27.736    86.357
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.571    85.409
    27.736    86.357
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.571    85.409
    27.736    86.357
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.577    85.396
    27.736    86.357
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.790    85.280
    27.736    86.357
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.790    85.280
    27.736    86.357
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.609    85.106
    27.736    86.357
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.609    85.106
    27.736    86.357
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.350    87.710
    27.419    87.131
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.860    87.390
    27.419    87.131
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.860    87.390
    27.419    87.131
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.950    86.600
    27.419    87.131
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.950    86.600
    27.419    87.131
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.660    86.190
    27.419    87.131
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.911    85.879
    27.723    86.334
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.911    85.879
    27.723    86.334
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.950    86.600
    27.723    86.334
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.950    86.600
    27.723    86.334
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.571    85.409
    27.723    86.334
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.577    85.396
    27.723    86.334
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.577    85.396
    27.723    86.334
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.790    85.280
    27.723    86.334
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.790    85.280
    27.723    86.334
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.609    85.106
    27.723    86.334
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.609    85.106
    27.723    86.334
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.660    86.190
    27.749    86.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.660    86.190
    27.749    86.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.911    85.879
    27.749    86.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.950    86.600
    27.749    86.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.571    85.409
    27.749    86.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.571    85.409
    27.749    86.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.577    85.396
    27.749    86.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.577    85.396
    27.749    86.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.790    85.280
    27.749    86.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.790    85.280
    27.749    86.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.790    85.280
    27.749    86.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    27.350    87.710
    27.749    86.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.860    87.390
    27.749    86.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    26.860    87.390
    27.749    86.534
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    26.833    87.167     0.300
    27.660    86.190     0.300
    27.911    85.879     0.300
    26.860    87.390     0.300
    26.950    86.600     0.300
    27.350    87.710     0.300
    26.700    88.417     0.300
    27.333    88.617     0.300
    26.838    86.632     0.300
    27.304    86.548     0.300
    27.515    86.584     0.300
    27.321    87.195     0.300
    26.711    85.924     0.300
    27.634    86.230     0.300
    27.150    87.765     0.300
    27.877    85.891     0.300
    26.910    87.923     0.300
    28.196    86.828     0.300
    28.665    87.116     0.300
    27.706    85.761     0.300
    27.211    85.909     0.300
    27.571    85.409     0.300
    27.048    87.324     0.300
    27.600    85.557     0.300
    28.660    86.413     0.300
    27.790    85.280     0.300
    27.577    85.396     0.300
    27.609    85.106     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.363    87.885     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.754    87.416     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.000    86.725     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.680    86.681     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.765    86.591     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.461    87.356     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.415    86.800     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.523    87.291     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.511    87.264     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.537    87.289     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.791    86.975     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.798    86.994     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.910    87.779     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.035    86.629     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.553    86.637     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.711    86.736     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.492    87.316     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.578    86.581     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.620    87.380     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.270    86.460     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.143    86.927     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.474    87.353     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.985    87.218     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.401    86.953     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    28.026    87.301     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    26.935    87.307     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.763    86.499     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.361    87.015     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.788    86.312     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.736    86.357     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.419    87.131     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.723    86.334     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    27.749    86.534     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    27.463    86.971     0.000   222.000   222.000
    27.463    86.971     0.000   444.000   444.000
END
